****************************************************
* Example for using conditional with user messages *
****************************************************

$EXTRAON  -- Allow extra mnemonics

$IFDEF DEBUG
$MESSAGE Assembling in DEBUG Mode
SPEED               EQU       $00                 115200 bps rate for SIM11E to go faster
$ELSE
SPEED               EQU       $30                 9600 bps rate
$ENDIF

BAUD                EQU       $102B

                    ORG       $D000
Start               lds       #$1ff
                    lda       #SPEED
                    sta       BAUD
          ;--- more code ---

          ;--- the following RMB is only used to force an ERROR
          ;--- for the following IF condition
$ifdef ERROR
                    rmb       $2FB7               $2FB7 causes error
$else
                    rmb       $2FB6               $2FB6 causes no error
$endif
                    bra       *

          ;You can use the following condition in all your programs to prevent
          ;from writing code that will not fit the device's EPROM
$IF * > $FFC0
  $IFDEF DEBUG
    $WARNING Program too big; runs into reserved memory
  $ELSE
    $ERROR Program too big; runs into reserved memory
  $ENDIF
$ENDIF
                    org       $FFFE
                    dw        Start